import 'package:freezed_annotation/freezed_annotation.dart';

part 'captcha_response_model.freezed.dart';
part 'captcha_response_model.g.dart';

@freezed
abstract class CaptchaResponseModel with _$CaptchaResponseModel {
  const factory CaptchaResponseModel({
    String? captchaKey,
    String? captchaImage,
    String? imageType,
    String? imageDecode,
  }) = _CaptchaResponseModel;

  factory CaptchaResponseModel.fromJson(Map<String, dynamic> json) =>
      _$CaptchaResponseModelFromJson(json);
}
